searchNodes=[{"doc":"Simple abstraction over the swedish BankID API.","ref":"ExBankID.html","title":"ExBankID","type":"module"},{"doc":"See ExBankID.Auth.auth/2.","ref":"ExBankID.html#auth/2","title":"ExBankID.auth/2","type":"function"},{"doc":"See ExBankID.Cancel.cancel/2.","ref":"ExBankID.html#cancel/2","title":"ExBankID.cancel/2","type":"function"},{"doc":"See ExBankID.Collect.collect/2.","ref":"ExBankID.html#collect/2","title":"ExBankID.collect/2","type":"function"},{"doc":"See ExBankID.Sign.sign/3.","ref":"ExBankID.html#sign/3","title":"ExBankID.sign/3","type":"function"},{"doc":"","ref":"ExBankID.Auth.html","title":"ExBankID.Auth","type":"module"},{"doc":"","ref":"ExBankID.Auth.html#auth/2","title":"ExBankID.Auth.auth/2","type":"function"},{"doc":"Provides the struct used when initiating a authentication","ref":"ExBankID.Auth.Payload.html","title":"ExBankID.Auth.Payload","type":"module"},{"doc":"Returns a Payload struct containing the given ip address and personal number.Examples iex&gt; ExBankID.Auth.Payload.new(&quot;1.1.1.1&quot;) %ExBankID.Auth.Payload{endUserIp: &quot;1.1.1.1&quot;} iex&gt; ExBankID.Auth.Payload.new(&quot;qwerty&quot;) iex&gt; ExBankID.Auth.Payload.new(&quot;1.1.1.1&quot;, [personal_number: &quot;190000000000&quot;]) %ExBankID.Auth.Payload{endUserIp: &quot;1.1.1.1&quot;, personalNumber: &quot;190000000000&quot;} iex&gt; ExBankID.Auth.Payload.new(&quot;1.1.1.1&quot;, [personal_number: &quot;Not a personal number&quot;])","ref":"ExBankID.Auth.Payload.html#new/2","title":"ExBankID.Auth.Payload.new/2","type":"function"},{"doc":"","ref":"ExBankID.Auth.Payload.html#t:reason/0","title":"ExBankID.Auth.Payload.reason/0","type":"type"},{"doc":"Provides the struct used to represent the response from a successful request to the BankID /auth endpoint","ref":"ExBankID.Auth.Response.html","title":"ExBankID.Auth.Response","type":"module"},{"doc":"","ref":"ExBankID.Cancel.html","title":"ExBankID.Cancel","type":"module"},{"doc":"","ref":"ExBankID.Cancel.html#cancel/2","title":"ExBankID.Cancel.cancel/2","type":"function"},{"doc":"Provides the struct used when requesting to cancel a pending authentication or signing","ref":"ExBankID.Cancel.Payload.html","title":"ExBankID.Cancel.Payload","type":"module"},{"doc":"Returns a Cancel Payload given a orderRef, Auth response struct or Sign response structExamples iex&gt; ExBankID.Cancel.Payload.new(&quot;131daac9-16c6-4618-beb0-365768f37288&quot;) %ExBankID.Cancel.Payload{orderRef: &quot;131daac9-16c6-4618-beb0-365768f37288&quot;} iex&gt; ExBankID.Cancel.Payload.new(&quot;Not-a-valid-UUID&quot;) iex&gt; %ExBankID.Auth.Response{orderRef: &quot;131daac9-16c6-4618-beb0-365768f37288&quot;} |&gt; ExBankID.Cancel.Payload.new() %ExBankID.Cancel.Payload{orderRef: &quot;131daac9-16c6-4618-beb0-365768f37288&quot;} iex&gt; %ExBankID.Sign.Response{orderRef: &quot;131daac9-16c6-4618-beb0-365768f37288&quot;} |&gt; ExBankID.Cancel.Payload.new() %ExBankID.Cancel.Payload{orderRef: &quot;131daac9-16c6-4618-beb0-365768f37288&quot;}","ref":"ExBankID.Cancel.Payload.html#new/1","title":"ExBankID.Cancel.Payload.new/1","type":"function"},{"doc":"","ref":"ExBankID.Collect.html","title":"ExBankID.Collect","type":"module"},{"doc":"","ref":"ExBankID.Collect.html#collect/2","title":"ExBankID.Collect.collect/2","type":"function"},{"doc":"","ref":"ExBankID.Collect.CompletionData.html","title":"ExBankID.Collect.CompletionData","type":"module"},{"doc":"","ref":"ExBankID.Collect.Payload.html","title":"ExBankID.Collect.Payload","type":"module"},{"doc":"","ref":"ExBankID.Collect.Payload.html#new/1","title":"ExBankID.Collect.Payload.new/1","type":"function"},{"doc":"","ref":"ExBankID.Collect.Response.html","title":"ExBankID.Collect.Response","type":"module"},{"doc":"","ref":"ExBankID.Collect.User.html","title":"ExBankID.Collect.User","type":"module"},{"doc":"Provides the struct use to represent a response from the BankID api that has http code 400 - 500.","ref":"ExBankID.Error.Api.html","title":"ExBankID.Error.Api","type":"module"},{"doc":"","ref":"ExBankID.HttpRequest.html","title":"ExBankID.HttpRequest","type":"module"},{"doc":"","ref":"ExBankID.HttpRequest.html#send_request/2","title":"ExBankID.HttpRequest.send_request/2","type":"function"},{"doc":"","ref":"ExBankID.HttpRequest.html#t:opts/0","title":"ExBankID.HttpRequest.opts/0","type":"type"},{"doc":"","ref":"ExBankID.HttpRequest.html#t:payload/0","title":"ExBankID.HttpRequest.payload/0","type":"type"},{"doc":"","ref":"ExBankID.HttpRequest.html#t:response/0","title":"ExBankID.HttpRequest.response/0","type":"type"},{"doc":"","ref":"ExBankID.Sign.html","title":"ExBankID.Sign","type":"module"},{"doc":"","ref":"ExBankID.Sign.html#sign/3","title":"ExBankID.Sign.sign/3","type":"function"},{"doc":"Provides the struct used when initiating a signing of data","ref":"ExBankID.Sign.Payload.html","title":"ExBankID.Sign.Payload","type":"module"},{"doc":"Constructs a new Sign Payload with the given ip-address, user visible data, and optionally personal number and user non visible data. user_visible_data and user_non_visible_data will be properly encodeExamples iex&gt; ExBankID.Sign.Payload.new(&quot;1.1.1.1&quot;, &quot;This will be visible in the bankID app&quot;) %ExBankID.Sign.Payload{endUserIp: &quot;1.1.1.1&quot;, userVisibleData: &quot;VGhpcyB3aWxsIGJlIHZpc2libGUgaW4gdGhlIGJhbmtJRCBhcHA=&quot;} iex&gt; ExBankID.Sign.Payload.new(&quot;1.1.1.1&quot;, &quot;This will be visible in the bankID app&quot;, personal_number: &quot;190000000000&quot;) %ExBankID.Sign.Payload{endUserIp: &quot;1.1.1.1&quot;, personalNumber: &quot;190000000000&quot;, userVisibleData: &quot;VGhpcyB3aWxsIGJlIHZpc2libGUgaW4gdGhlIGJhbmtJRCBhcHA=&quot;} iex&gt; ExBankID.Sign.Payload.new(&quot;Not a valid ip address&quot;, &quot;This will be visible in the bankID app&quot;, personal_number: &quot;190000000000&quot;)","ref":"ExBankID.Sign.Payload.html#new/3","title":"ExBankID.Sign.Payload.new/3","type":"function"},{"doc":"Provides the struct used to represent the response from a successful request to the BankID /sign endpoint","ref":"ExBankID.Sign.Response.html","title":"ExBankID.Sign.Response","type":"module"}]